<template>
  <q-img :src="src || alt" :ratio="ratio">
    <template v-slot:error>
      <q-img :src="alt" :ratio="ratio">
        <template v-slot:error>
          {{ src }}
        </template>
      </q-img>
    </template>
  </q-img>
</template>

<script>
export default {
  name: 'ImageView',

  props: {
    src: {
      type: String,
      required: true,
    },
    alt: {
      type: String,
      required: true,
    },
    ratio: {
      type: Number,
      default: () => 1.25,
    },
  },
};
</script>
